aboutsummaryrefslogtreecommitdiffstats
path: root/macros
diff options
context:
space:
mode:
authornobody <nobody@localhost>2002-11-01 21:26:26 +0800
committernobody <nobody@localhost>2002-11-01 21:26:26 +0800
commit0ffd79d9eacd8e9049779e19c9f9c0f3e11e48c4 (patch)
tree8ae783cd6c35d09da0b72d5d0a203f8980c8eddf /macros
parent8ae8cb35257f42c905c86eb424759fdfde97eb41 (diff)
downloadgsoc2013-evolution-RELEASE_1_0_1.tar
gsoc2013-evolution-RELEASE_1_0_1.tar.gz
gsoc2013-evolution-RELEASE_1_0_1.tar.bz2
gsoc2013-evolution-RELEASE_1_0_1.tar.lz
gsoc2013-evolution-RELEASE_1_0_1.tar.xz
gsoc2013-evolution-RELEASE_1_0_1.tar.zst
gsoc2013-evolution-RELEASE_1_0_1.zip
This commit was manufactured by cvs2svn to create tagRELEASE_1_0_1
'RELEASE_1_0_1'. svn path=/tags/RELEASE_1_0_1/; revision=18481
Diffstat (limited to 'macros')
-rw-r--r--macros/Makefile.am11
-rw-r--r--macros/autogen.sh24
2 files changed, 12 insertions, 23 deletions
diff --git a/macros/Makefile.am b/macros/Makefile.am
index f9a0e2b392..86991b651b 100644
--- a/macros/Makefile.am
+++ b/macros/Makefile.am
@@ -30,14 +30,3 @@ MAINTAINERCLEANFILES=macros.dep
@MAINT@macros.dep: Makefile.am
@MAINT@ @echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=macros/%)' > $@
-
-if INSIDE_GNOME_COMMON
-gnome_aclocaldir = $(datadir)/aclocal/gnome-macros
-
-gnome-macros.dep: Makefile.am
- @echo '$$(top_srcdir)/aclocal.m4: $(MACROS:%=$(gnome_aclocaldir)/%)' > $@
-
-gnome_aclocal_DATA = $(MACROS) gnome-macros.dep gnome-common.m4 \
- gnome-gettext.m4 autogen.sh
-
-endif
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 4f57a71aeb..1da0369fc7 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -69,7 +69,7 @@ fi
# }
#}
-(automake-1.4 --version) < /dev/null > /dev/null 2>&1 || {
+(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`automake' installed to compile $PKG_NAME."
echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
@@ -80,7 +80,7 @@ fi
# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal-1.4 --version) < /dev/null > /dev/null 2>&1 || {
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: Missing \`aclocal'. The version of \`automake'"
echo "installed doesn't appear recent enough."
@@ -96,7 +96,7 @@ fi
if test -z "$*"; then
echo "**Warning**: I am going to run \`configure' with no arguments."
echo "If you wish to pass any to it, please specify them on the"
- echo \`$0\'" command line."
+ echo "\`$0\' command line."
echo
fi
@@ -145,7 +145,7 @@ do
echo "Creating $dr/aclocal.m4 ..."
test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
+ ./setup-gettext
echo "Making $dr/aclocal.m4 writable ..."
test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
@@ -154,7 +154,7 @@ do
echo "Creating $dr/aclocal.m4 ..."
test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
echo "Running gettextize... Ignore non-fatal messages."
- echo "no" | gettextize --force --copy
+ ./setup-gettext
echo "Making $dr/aclocal.m4 writable ..."
test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
fi
@@ -172,10 +172,10 @@ do
libtoolize --force --copy
fi
fi
- echo "Running aclocal-1.4 $aclocalinclude ..."
- aclocal-1.4 $aclocalinclude || {
+ echo "Running aclocal $aclocalinclude ..."
+ aclocal $aclocalinclude || {
echo
- echo "**Error**: aclocal-1.4 failed. This may mean that you have not"
+ echo "**Error**: aclocal failed. This may mean that you have not"
echo "installed all of the packages you need, or you may need to"
echo "set ACLOCAL_FLAGS to include \"-I \$prefix/share/aclocal\""
echo "for the prefix where you installed the packages whose"
@@ -187,16 +187,16 @@ do
echo "Running autoheader..."
autoheader || { echo "**Error**: autoheader failed."; exit 1; }
fi
- echo "Running automake-1.4 --gnu $am_opt ..."
- automake-1.4 --add-missing --gnu $am_opt ||
- { echo "**Error**: automake-1.4 failed."; exit 1; }
+ echo "Running automake --gnu $am_opt ..."
+ automake --add-missing --gnu $am_opt ||
+ { echo "**Error**: automake failed."; exit 1; }
echo "Running autoconf ..."
autoconf || { echo "**Error**: autoconf failed."; exit 1; }
) || exit 1
fi
done
-conf_flags="--enable-maintainer-mode --enable-compile-warnings" #--enable-iso-c
+conf_flags="--enable-maintainer-mode" #--enable-iso-c
if test x$NOCONFIGURE = x; then
echo Running $srcdir/configure $conf_flags "$@" ...